Skip to end of metadata
Go to start of metadata

En este apartado se proponen los requisitos del servidor para el funcionamiento óptimo de Athento.  Estos datos son aproximados y la configuración necesaria final dependerá del uso dado al sistema, dependiendo del número de usuarios activos, naturaleza de los documentos, etc.

TABLA DE REQUISITOS MÍNIMOS HARDWARE DEL SERVIDOR

En la siguiente tabla se describen las características hardware necesarias para el funcionamiento óptimo de Athento, instalado en un servidor compartido con el repositorio documental. 

En la tabla se pueden observar, por columnas, diferentes requisitos hardware del servidor según el número de usuarios que usen la plataforma o el número de documentos que se estime se van a almacenar; parámetros que determinan en gran medida las necesidades de velocidad de procesamiento o la capacidad de almacenamiento del servidor. 

 Nº Usuarios  Nº Páginas  CPU  RAM  HDD Size*  HDD Speed  Clustering
0-50 <120.000 8C 8GB 600GB SAS No necesario
51-100 <320.000 8C 16GB 1TB SAS No necesario
100-300 <1.200.000 8C 16GB 2.5TB SAS No necesario
>300 >1.200.000 8C 32GB 2.5TB SAS 

Recomendado

 

 * El tamaño del disco dependerá del volumen de documentos que el usuario vaya a cargar.

 

SISTEMAS OPERATIVOS

Athento puede instalarse tanto en sistemas Linux como en sistemas con sistemas operativos Windows, siendo los más recomendados los siguientes:

Sistema operativo Versiones 
Ubuntu Server 

A partir de las versiones:
15.04 - 32 bits
15.04 - 64 bits 

Se recomienda el uso del sistema operativo Ubuntu Server.

BASES DE DATOS

Sistema Gestor de Bases de DatosVersiones 
PostgreSQL

A partir de la 9.1

Recomendada 9.4

 

SOFTWARE MÍNIMO REQUERIDO

Además del sistema operativo, es necesario algún software adicional, detallado en la siguiente tabla:

Tipo Software Versión 
Java Standard Edition Development kit 6 o superior (JDK SE 8 +) 
Python 2.7
Base de datos relacional Recomendada: Postgre SQL 8.4 o superior    
Servidor de aplicaciones Django 

1.8.4 o superior

 

 

LIBRERIAS REQUERIDAS

Athento SE require multitud de librerías, sin embargo, éstas se instalan de forma automática. Es necesario que el servidor en el que se realice la instalación tenga acceso a los repositorios de Ubuntu y Pypi. Algunas de las principales librerías son:

LibreríaVersión Recomendada
ImageMagickÚltima disponible

Tesseract

Última disponible

OpenCV

2.4.2 o superior
ZbarImgÚltima disponible

 

OTROS REQUISITOS DE ACCESO

  • Es necesario que el servidor tenga acceso a Internet tanto pata http como para https
  •   Es necesario que el servidor tenga los puertos estándares libres para su uso

 

  • No labels